Next: wcwidth, Previous: wcswidth, Up: Wchar strings

### 6.28 `wcsxfrm`—locale-specific wide-character string transformation

Synopsis

         #include <wchar.h>
         int wcsxfrm(wchar_t *stra, const wchar_t * strb, size_t n);

Description
`wcsxfrm` transforms the wide-character string pointed to by strb to the wide-character string pointed to by stra, Comparing two transformed wide strings with `wcscmp` should return the same result as comparing the original strings with `wcscoll`. No more than n wide characters are transformed, including the trailing null character.

If n is 0, stra may be a NULL pointer.

The current implementation of `wcsxfrm` simply uses `wcslcpy` and does not support any language-specific transformations.

Returns
`wcsxfrm` returns the length of the transformed wide character string. if the return value is greater or equal to n, the content of stra is undefined.

Portability
`wcsxfrm` is ISO/IEC 9899/AMD1:1995 (ISO C).